Subject: bug#24203: 25.1.50; Shell mode displaying password prompt

From: Robert Marshall <[email-masked]>
Date: Thu, 18 Aug 2016 09:19:12 +0100

Michael Albinus <[email-masked]> writes:

> Robert Marshall <[email-masked]> writes:
>
>> On a git push to github within a *shell* buffer I get the following
>>
>> $ git push
>> Username for 'https://github.com': MyUserName
>> Password for 'https://[email-masked]': 
>>
>> and the password is echoed
>
> The problem is the colon in 'https://[email-masked]', which was
> not covered by `comint-password-prompt-regexp'.  I've committed a patch
> to the master branch; could you, pls, check?
>
Michael,

Yes, I can confirm that this change fixes the problem

Thank you

Robert